StreamCharBuffer.StreamCharBufferReader (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.buffer

## [Java] Class StreamCharBufferReader

- org.grails.buffer.StreamCharBuffer.StreamCharBufferReader

- This is the java.io.Reader implementation for StreamCharBuffer

  Authors:
    Lari Hotari, Sagire Software Oy

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamCharBuffer.StreamCharBufferReader (boolean remove)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `close()`
    `` | `StreamCharBuffer` | `getBuffer()`
    `` | `int` | `getReadLenLimit(int askedAmount)`
    `` | `int` | `read(char[] b, int off, int len)`
    `` | `boolean` | `ready()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.Reader` | `java.io.Reader#ready(), java.io.Reader#close(), java.io.Reader#skip(long), java.io.Reader#mark(int), java.io.Reader#reset(), java.io.Reader#read([C), java.io.Reader#read([C, int, int), java.io.Reader#read(), java.io.Reader#read(java.nio.CharBuffer), java.io.Reader#markSupported(), java.io.Reader#wait(long, int), java.io.Reader#wait(long), java.io.Reader#wait(), java.io.Reader#equals(java.lang.Object), java.io.Reader#toString(), java.io.Reader#hashCode(), java.io.Reader#getClass(), java.io.Reader#notify(), java.io.Reader#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public StreamCharBuffer.StreamCharBufferReader(boolean remove)

  - ### Method Detail

    - #### @java.lang.Override public void close()

    - #### public final StreamCharBuffer getBuffer()

    - #### public int getReadLenLimit(int askedAmount)

    - #### @java.lang.Override public final int read(char[] b, int off, int len)

    - #### @java.lang.Override public boolean ready()